## gate.event
Interface StatusListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  Handle

All Known Implementing Classes:
  AbstractController.InternalStatusListener, AbstractProcessingResource.InternalStatusListener, ApplicationEditor.InternalStatusListener, MainFrame, SerialControllerEditor.InternalStatusListener, NameBearerHandle, NameBearerHandle.ProxyStatusListener, HelpFrame

public interface StatusListener
extends EventListener

This interface describes a listener that is interested in status events. This type of listener is intended to be used by components similar to a status bar which can display messages coming from more components.

Method Summary
`void` `statusChanged(String text)` Calleed when there a new status message.

Method Detail

### statusChanged

    public void statusChanged(String text)

  Calleed when there a new status message.
  Parameters:
    `text` -